Package ru.bitel.bgbilling.modules.npay.server.utils

# Class NpayUtils

java.lang.Object
ru.bitel.bgbilling.modules.npay.server.utils.NpayUtils

    public class NpayUtils
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NpayUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.math.BigDecimal` | `getAmountForUnlock​(java.sql.Connection con, int moduleId, int contractId)` | Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
  `static java.math.BigDecimal` | `getAmountForUnlock​(java.sql.Connection con, int moduleId, int contractId, DebetStatusManageConfig config, ContractManager contractManager, ContractLabelManager contractLabelManager)` | Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
  `static java.math.BigDecimal` | `getServiceCost​(int moduleId, int contractId, int serviceId, java.util.Date dateFrom, java.util.Date dateTo)` |
  `static java.math.BigDecimal` | `precalculateAccount​(int moduleId, int serviceSet, int contractId, java.util.Date dateFrom, java.util.Date dateTo)` | Будущая наработка для определения рекомендуемой к оплате суммы.
  `static ServiceCostCache` | `precalculateServiceCost​(int moduleId, int serviceSet, int contractId, java.util.Date dateFrom, java.util.Date dateTo)` | Будущая наработка для определения рекомендуемой к оплате суммы.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NpayUtils

    public NpayUtils()

- ## Method Details

  - ### getAmountForUnlock

    public static java.math.BigDecimal getAmountForUnlock​(java.sql.Connection con, int moduleId, int contractId) throws ru.bitel.bgbilling.common.BGException
    Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
    Parameters:
      `con` -
      `moduleId` -
      `contractId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAmountForUnlock

    public static java.math.BigDecimal getAmountForUnlock​(java.sql.Connection con, int moduleId, int contractId, DebetStatusManageConfig config, ContractManager contractManager, ContractLabelManager contractLabelManager) throws ru.bitel.bgbilling.common.BGException
    Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
    Parameters:
      `con` -
      `moduleId` -
      `config` -
      `contractManager` -
      `contractId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### precalculateServiceCost

    public static ServiceCostCache precalculateServiceCost​(int moduleId, int serviceSet, int contractId, java.util.Date dateFrom, java.util.Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Будущая наработка для определения рекомендуемой к оплате суммы.
    Parameters:
      `moduleId` - ID модуля.
      `serviceSet` - набор услуг модуля.
      `contractId` - ID договора.
      `dateFrom` - дата начала активности договора (должна быть в одном месяце с dateTo).
      `dateTo` - дата окончания активности договора (должна быть в одном месяце с dateFrom).
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### precalculateAccount

    public static java.math.BigDecimal precalculateAccount​(int moduleId, int serviceSet, int contractId, java.util.Date dateFrom, java.util.Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Будущая наработка для определения рекомендуемой к оплате суммы.
    Parameters:
      `moduleId` - ID модуля.
      `serviceSet` - набор услуг модуля.
      `contractId` - ID договора.
      `dateFrom` - дата начала активности договора (должна быть в одном месяце с dateTo).
      `dateTo` - дата окончания активности договора (должна быть в одном месяце с dateFrom).
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getServiceCost

    public static java.math.BigDecimal getServiceCost​(int moduleId, int contractId, int serviceId, java.util.Date dateFrom, java.util.Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`